Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.parameter
Class Parameter

    java.lang.Object
      uchicago.src.sim.parameter.Parameter

Direct Known Subclasses:
  NumericParameter

    public abstract class Parameter

extends java.lang.Object

Abstract base class for batch run parameters.

Version:
  $Revision: 1.8 $ $Date: 2005/03/31 22:57:03 $
Author:
  Nick Collier

Field Summary
`static int` | `CONSTANT`
`static int` | `INCREMENT`
`protected Incrementer` | `incrementer`
`protected java.util.Vector` | `list`
`static int` | `LIST`
`protected int` | `listIndex`
`protected java.lang.String` | `name`
`protected long` | `numRuns`
`protected long` | `numRunsIndex`
`protected Parameter` | `parent`
`protected java.util.Vector` | `subParams`
`protected long` | `subRuns`

Constructor Summary
`Parameter()`

Method Summary
`void` | `addChild(Parameter subParam)` Adds a Parameter to this parameter as a child.
`java.util.Vector` | `getChildren()` Gets the children of this parameter.
`abstract java.lang.Object` | `getEnd()`
`abstract java.lang.Object` | `getIncr()`
`java.util.Vector` | `getList()`
`java.lang.String` | `getName()` Gets the name of this parameter.
`long` | `getNumRuns()` Gets the number of runs associated with this Parameter.
`int` | `getParameterType()`
`Parameter` | `getParent()` Gets the parent parameter of this parameter
`abstract java.lang.Object` | `getStart()`
`abstract java.lang.String` | `getStringValue()` Gets the current value of this parameter as a string.
`long` | `getSubRuns()`
`java.lang.String` | `getValAsParameterSet()`
`abstract java.lang.Object` | `getValue()` Gets the current value of this parameter as an Object.
`boolean` | `hasChildren()` Does this Parameter have any children.
`abstract boolean` | `increment()` Increments the parameter.
`abstract boolean` | `isComplete()` Does this parameter have all its necessary values assigned.
`boolean` | `isConstant()`
`boolean` | `isIncrement()`
`boolean` | `isInput()` If true it is input, output otherwise
`boolean` | `isList()`
`void` | `removeChild(Parameter p)` Removes the specified Parameter from this Parameter's list of children.
`void` | `setConstVal(java.lang.Object o)`
`abstract void` | `setEnd(java.lang.Object o)`
`abstract void` | `setIncr(java.lang.Object o)`
`void` | `setInput(boolean isInput)`
`void` | `setList(java.util.Vector v)`
`void` | `setName(java.lang.String name)` Sets the name of this to the specified name.
`void` | `setNumRuns(long runs)` Sets the number of runs associated with this parameter.
`void` | `setParameterType(int parameterType)`
`void` | `setParent(Parameter p)` Sets the parent parameter of this parameter
`abstract void` | `setStart(java.lang.Object o)`
`void` | `setSubRuns(long runs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INCREMENT

    public static final int INCREMENT

See Also:
  Constant Field Values

### CONSTANT

    public static final int CONSTANT

See Also:
  Constant Field Values

### LIST

    public static final int LIST

See Also:
  Constant Field Values

### name

    protected java.lang.String name

### parent

    protected Parameter parent

### list

    protected java.util.Vector list

### listIndex

    protected int listIndex

### subParams

    protected java.util.Vector subParams

### numRunsIndex

    protected long numRunsIndex

### subRuns

    protected long subRuns

### numRuns

    protected long numRuns

### incrementer

    protected Incrementer incrementer

Constructor Detail

### Parameter

    public Parameter()

Method Detail

### setParent

    public void setParent(Parameter p)

  Sets the parent parameter of this parameter

### getParent

    public Parameter getParent()

  Gets the parent parameter of this parameter

### setSubRuns

    public void setSubRuns(long runs)

### getSubRuns

    public long getSubRuns()

### setName

    public void setName(java.lang.String name)

  Sets the name of this to the specified name. If the name ends with (input), (output), or () that is trimmed off.

  Parameters:
    `name` - the name of the parameter

### getName

    public java.lang.String getName()

  Gets the name of this parameter.

### isComplete

    public abstract boolean isComplete()

  Does this parameter have all its necessary values assigned.

  Returns:
    true if this Parameter is complete, otherwise false.

### addChild

    public void addChild(Parameter subParam)

  Adds a Parameter to this parameter as a child.

  Parameters:
    `subParam` - the parameter to add

### getChildren

    public java.util.Vector getChildren()

  Gets the children of this parameter.

### hasChildren

    public boolean hasChildren()

  Does this Parameter have any children.

  Returns:
    true if this Parameter has children, otherwise false.

### removeChild

    public void removeChild(Parameter p)

  Removes the specified Parameter from this Parameter's list of children.

### setNumRuns

    public void setNumRuns(long runs)

  Sets the number of runs associated with this parameter.

### getNumRuns

    public long getNumRuns()

  Gets the number of runs associated with this Parameter.

### setList

    public void setList(java.util.Vector v)

### getList

    public java.util.Vector getList()

### setConstVal

    public void setConstVal(java.lang.Object o)

### getValAsParameterSet

    public java.lang.String getValAsParameterSet()

### increment

    public abstract boolean increment()

  Increments the parameter.

  Returns:
    true if the parameter can be incremented (hasn't reached its limit condition and false if cannot.

### getStringValue

    public abstract java.lang.String getStringValue()

  Gets the current value of this parameter as a string. Used to write a run's parameters to a file, and set the model to the current parameter.

  Returns:
    the current value of this parameter

### getValue

    public abstract java.lang.Object getValue()

  Gets the current value of this parameter as an Object. Used to write a run's parameters to a file, and set the model to the current parameter.

  Returns:
    the current value of this parameter

### isConstant

    public boolean isConstant()

### isList

    public boolean isList()

### isIncrement

    public boolean isIncrement()

### setStart

    public abstract void setStart(java.lang.Object o)

### setEnd

    public abstract void setEnd(java.lang.Object o)

### setIncr

    public abstract void setIncr(java.lang.Object o)

### getStart

    public abstract java.lang.Object getStart()

### getEnd

    public abstract java.lang.Object getEnd()

### getIncr

    public abstract java.lang.Object getIncr()

### isInput

    public boolean isInput()

  If true it is input, output otherwise

  Returns:
    Returns the isInput.

### setInput

    public void setInput(boolean isInput)

  Parameters:
    `isInput` - The isInput to set.

### getParameterType

    public int getParameterType()

  Returns:
    Returns the parameterType.

### setParameterType

    public void setParameterType(int parameterType)

  Parameters:
    `parameterType` - The parameterType to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD